Bug 179036 - iptables commands do not work on 2.6.15-1.1872_FC5
iptables commands do not work on 2.6.15-1.1872_FC5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-26 15:05 EST by Eric Paris
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-27 13:07:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2006-01-26 15:05:21 EST
Description of problem:
after updating my kernel from 2.6.15-1.1826.2.10_FC5 to 2.6.15-1.1871_FC5 no
iptables commands appear to work.  Simple commands like

[root@router ~]# iptables -nvL
ERROR: 0 not a valid target)
Aborted
[root@router ~]# iptables -nvL -t FILTER
iptables v1.3.4: can't initialize iptables table `FILTER': Table does not exist
(do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
[root@router ~]# iptables -nvL -t filter
ERROR: 0 not a valid target)
Aborted

simple rules also fail.

[root@router ~]# iptables -A INPUT -s 10.10.10.10/32 -j DROP
iptables: Too many levels of symbolic links

It appears as though the modules are loaded from the output of lsmod

[root@okhrana ~]# lsmod | grep ipt
iptable_filter          3137  0
ip_tables              11529  1 iptable_filter
[root@okhrana ~]#

This is using the latest iptables package available at this moment version
iptables-1.3.4-3

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1872_FC5
iptables-1.3.4-3

How reproducible:  I have this problem on 2 systems.


Steps to Reproduce:
1.Update a machine to current rawhide and try to use iptables
Comment 1 Eric Paris 2006-01-27 13:07:44 EST
apears to be working in 2.6.15-1.1878_FC5smp

Note You need to log in before you can comment on or make changes to this bug.